package src.calculator.util;

import java.text.*;

/***Created on July 08, 2004, 5:07 PM
 *
 * Returns the parameter string representing the state of this container.
 * Variables: Principle, monthlyPayment, payDate, interimBalance, interestPaid and principlePaid.
 * Output: Returns the strings
 *
 * NETBEANS IDE 3.6
 */
public class Row {
  //Variables
  public int paymentNo;
  public double Principle;
  public double monthlyPayment;
  public String payDate;
  public double interimBalance;
  public double interestPaid;
  public double principlePaid;
  //Provides the interface for formatting and parsing numbers
  NumberFormat form = NumberFormat.getInstance();

  public Row(int Payment_No, double Principle, double monthlyPayment,
             String payDate, double interimBalance, double interestPaid,
             double principlePaid) {
    this.paymentNo = Payment_No;
    this.Principle = Principle;
    this.monthlyPayment = monthlyPayment;
    this.payDate = payDate;
    this.interimBalance = interimBalance;
    this.interestPaid = interestPaid;
    this.principlePaid = principlePaid;
  }

  public String toString() { //strings are used to store text and variables
    form.setMaximumFractionDigits(2);
    form.setMinimumFractionDigits(2);
    return paymentNo+ "; " + form.format(Principle) + "; " + form.format(monthlyPayment) +
        "; " + payDate + "; " + form.format(interimBalance) + "; " +
        form.format(interestPaid) + "; " + form.format(principlePaid);
  } //end of group
} //closing bracket