package src.calculator.gui;

import java.awt.*;
import javax.swing.table.*;
import javax.swing.JLabel;
import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JPanel;
import java.applet.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.BoxLayout;
import java.awt.FlowLayout;
import java.awt.Container;
import javax.swing.JButton;
import src.calculator.util.Mortgage;
import src.calculator.util.MortgageCalendar;
import src.calculator.util.Mortgagecalculator;
import src.calculator.util.Row;

/***Created on July 31, 2004, 5:07 PM
 */
public class MortgageDisplayGui
    extends JFrame {

  JPanel ratePanel, termsPanel, amountPanel, paymentPanel, buttonPanel;
  JLabel rateLabel, termsLabel, amountLabel, paymentLabel;
  JTextField rateText, termsText, amountText, paymentText;
  JButton quitButton, resetButton, calculateButton, viewButton;
  MortgageDisplayGui thisInst;
  
//The init() function called from the constructor.
  public MortgageDisplayGui()  {
    super("Mortgate Calculator");
    init();
    thisInst = this;
  }

  /** Creates a new instance of Class */
  public void init() {
    // set the closing event
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    Container container = getContentPane();
    container.setLayout(new BoxLayout(container, BoxLayout.PAGE_AXIS));

    // initialize all other
    ratePanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
    termsPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
    amountPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
    paymentPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));
    buttonPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT));

    rateLabel = new JLabel("Rate of interest : ");
    termsLabel = new JLabel("Term of mortgage : ");
    amountLabel = new JLabel("Mortgage Amount : ");
    paymentLabel = new JLabel("Monthly Payment :");


    rateText = new JTextField(10);
    rateText.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
    termsText = new JTextField(10);
    termsText.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
    amountText = new JTextField(10);
    amountText.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
    paymentText = new JTextField(10);
    paymentText.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
    paymentText.setEnabled(false);

    ratePanel.add(rateLabel);
    ratePanel.add(rateText);

    termsPanel.add(termsLabel);
    termsPanel.add(termsText);

    amountPanel.add(amountLabel);
    amountPanel.add(amountText);

    paymentPanel.add(paymentLabel);
    paymentPanel.add(paymentText);

    quitButton = new JButton("Quit");
    resetButton = new JButton("Reset");
    calculateButton = new JButton("Calculate");
    viewButton = new JButton("Amortization >>");

    buttonPanel.add(calculateButton);
    buttonPanel.add(resetButton);
    buttonPanel.add(viewButton);
    buttonPanel.add(quitButton);

    container.add(amountPanel);
    container.add(ratePanel);
    container.add(termsPanel);
    container.add(paymentPanel);
    container.add(buttonPanel);
    }
}